/*                                MEMOTEST.C                               */
#include <conio.h> //wg. _getch()
#include <stdio.h> //wg. printf()
#include <time.h>  //wg. clock()

#pragma warning(disable : 4996) // ("veraltet")

#define WDHLG 10000

int main(void) 
{ int j1=0, j2=WDHLG;
  FILE *memo;
  clock_t tj1, tj2;

  printf ("Aris Christidis:\n\r");
  printf ("Formatierte Datei (fscanf/fprintf):\n\r"); _getch(); 
  tj1 = clock();
  if ((memo=fopen("../dat/Memo.txt","r+"))==NULL &&           /*File must exist*/
      (memo=fopen("../dat/Memo.txt","w+"))==NULL) return(-1); /*Always overwrites*/

  for (j1=0; j1<WDHLG; j1++)
  { fprintf(memo,"%10d", j1); fflush(memo); rewind(memo);
    fscanf(memo,"%d", &j2); rewind(memo);
  }
  tj2 = clock();
  fclose (memo);
  printf ("Zeit fuer %d RW-Operationen: %.2lf msec\n\n\r", 
	  j1, ((double)(tj2-tj1)/CLOCKS_PER_SEC)*1000);
/* ------------------------------------------------------------ */
  printf ("Binaere Datei (fread/fwrite):\n\r"); _getch(); 
  tj1 = clock();
  if ((memo=fopen("../dat/Memo.txt","r+b"))==NULL &&           /*File must exist*/
      (memo=fopen("../dat/Memo.txt","w+b"))==NULL) return(-1); /*Always overwrites*/

  for (j1=0; j1<WDHLG; j1++)
  { fwrite(&j1, sizeof(int), 1, memo); fflush(memo); rewind(memo); 
	fread(&j2, sizeof(int), 1, memo); rewind(memo); 
  }
  tj2 = clock();
  fclose (memo);
  printf ("Zeit fuer %d RW-Operationen: %.2lf msec\n\n\r", \
	  j1, ((double)(tj2-tj1)/CLOCKS_PER_SEC)*1000);
/* ------------------------------------------------------------ */
  printf ("Ende!\n\r"); _getch(); 
  return (0);
}
